using System;
using System.Collections.Generic;

using N14PKLibrary;
using N14PKLibrary.Data;
using N14PKLibrary.HelperClass;

class N14PKBrowseExtension
{
	public static void Function( N14PK n14pk, int id, ShiroData shiro )
	{
		YousyoData yousyo = null;

		foreach ( var y in n14pk.Yousyotable )
		{
			if ( y.PtrKyoten == shiro.Address )
			{
				yousyo = y;
				break;
			}
		}

		if ( yousyo == null )
		{
			throw new ApplicationException( "vf[^擾G[" );
		}

		// s`FbN
		Dictionary<string, JoukakuData> joukaku = SetJoukakuAddress( n14pk );
		var tensyu		= n14pk.Joukakutable[shiro.PtrJoukaku1];
		var joumon		= n14pk.Joukakutable[shiro.PtrJoukaku2];
		var hei			= n14pk.Joukakutable[shiro.PtrJoukaku3];
		var demaru		= n14pk.Joukakutable[shiro.PtrJoukaku4];
		var yagura		= n14pk.Joukakutable[shiro.PtrJoukaku5];
		var kuruwa		= n14pk.Joukakutable[shiro.PtrJoukaku6];
		var shisetsu	= n14pk.Joukakutable[shiro.PtrJoukaku7];

		if ( ( tensyu.Address	== joukaku["V"].Address )
			|| ( hei.Address	== joukaku["Ί_"].Address )
			|| ( demaru.Address	== joukaku["^c"].Address )
			|| ( kuruwa.Address	== joukaku["\"].Address )
			)
		{
			return;
		}

		var tatemono = n14pk.Tatemonotable[shiro.PtrTatemono];
		if ( tatemono == null )
		{
			throw new ApplicationException( "f[^擾G[" );
		}
		var isHonjou = GetHonjouFlag( n14pk, tatemono );

		var youchi = -1;
		if ( shiro.IsYouchiZenkai )
		{
			youchi = 20;
		}
		else
		{
			// pnTCYɎgpĂParamf[^肵ApnTCY擾
			var paramname = string.Empty;
			if ( isHonjou )
			{
				paramname += "COST_N14PK_HONJOU_";
			}
			else
			{
				paramname += "COST_N14PK_SHIJOU_";
			}

			if ( ( yousyo.h3E & Convert.ToByte( "00000100", 2 ) ) != 0 )
			{
				paramname += "YAMAJIRO_";
			}
			else
			{
				paramname += "HIRAJIRO_";
			}

			paramname += "MAX_LV" + shiro.YouchiLV;
			var param = n14pk.Paramtable[paramname];
			if ( param == null )
			{
				return;
			}
			youchi = param.Value / 10;
		}

		// V
		if ( isHonjou )
		{
			if ( youchi <= 10 )
			{
				shiro.PtrJoukaku1 = joukaku["OwV"].Address;
				CheckTaikyuu( n14pk, shiro, tatemono, tensyu, joukaku["OwV"] );
			}
			else
			{
				shiro.PtrJoukaku1 = joukaku["lwV"].Address;
				CheckTaikyuu( n14pk, shiro, tatemono, tensyu, joukaku["lwV"] );
			}
		}
		else
		{
			shiro.PtrJoukaku1 = joukaku["a"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, tensyu, joukaku["a"] );
		}

		// 
		if ( isHonjou )
		{
			shiro.PtrJoukaku2 = joukaku["e`"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, joumon, joukaku["e`"] );
		}
		else
		{
			if ( youchi <= 11 )
			{
				shiro.PtrJoukaku2 = joukaku[""].Address;
				CheckTaikyuu( n14pk, shiro, tatemono, joumon, joukaku[""] );
			}
			else
			{
				shiro.PtrJoukaku2 = joukaku[""].Address;
				CheckTaikyuu( n14pk, shiro, tatemono, joumon, joukaku[""] );
			}
		}

		// 
		if ( youchi <= 11 )
		{
			shiro.PtrJoukaku3 = joukaku["y"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, hei, joukaku["y"] );
		}
		else
		{
			shiro.PtrJoukaku3 = joukaku["Ί_"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, hei, joukaku["Ί_"] );
		}

		// ȗ
		if ( youchi <= 7 )
		{
			shiro.PtrJoukaku6 = joukaku["ȗւȂ"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, kuruwa, joukaku["ȗւȂ"] );
		}
		else if ( youchi <= 12 )
		{
			shiro.PtrJoukaku6 = joukaku["̊"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, kuruwa, joukaku["̊"] );
		}
		else
		{
			shiro.PtrJoukaku6 = joukaku["O̊"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, kuruwa, joukaku["O̊"] );
		}

		if ( ( GetYouchiSizeUsed( n14pk, shiro ) != -1 )
			&& ( youchi < GetYouchiSizeUsed( n14pk, shiro ) )
			)
		{
			shiro.PtrJoukaku4 = joukaku["oۂȂ"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, demaru, joukaku["oۂȂ"] );
		}

		if ( ( GetYouchiSizeUsed( n14pk, shiro ) != -1 )
			&& ( youchi < GetYouchiSizeUsed( n14pk, shiro ) )
			)
		{
			shiro.PtrJoukaku5 = joukaku["qȂ"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, yagura, joukaku["qȂ"] );
		}

		if ( ( GetYouchiSizeUsed( n14pk, shiro ) != -1 )
			&& ( youchi < GetYouchiSizeUsed( n14pk, shiro ) )
			)
		{
			shiro.PtrJoukaku7 = joukaku["{݂Ȃ"].Address;
			CheckTaikyuu( n14pk, shiro, tatemono, shisetsu, joukaku["{݂Ȃ"] );
		}
		n14pk.Shirotable.Write( shiro );
	}

	private enum JoukakuKind
	{
		wV	= 1,
		a		= 2,
		OwV	= 4,
		lwV	= 5,
		V	= 6,
				= 9,
				= 10,
		e`		= 11,
		y		= 17,
		Ί_		= 18,
		Ί_	= 19,
		oۂȂ	= 24,
		qȂ	= 32,
		^c		= 28,
		ȗւȂ	= 40,
		̊		= 41,
		O̊		= 42,
		\		= 43,
		{݂Ȃ	= 48
	}

	// ϋv`FbN
	private static void CheckTaikyuu( N14PK n14pk,  ShiroData shiro, TatemonoData tatemono, JoukakuData before, JoukakuData after )
	{
		var sabun = (short)( after.Taikyuu - before.Taikyuu );
		if ( sabun != 0 )
		{
			shiro.TaikyuuMax += sabun;
			if ( 0 < sabun )
			{
				tatemono.TaikyuuNow += sabun;
			}
			if ( shiro.TaikyuuMax < tatemono.TaikyuuNow )
			{
				tatemono.TaikyuuNow = shiro.TaikyuuMax;
			}
			n14pk.Tatemonotable.Write( tatemono );
		}
	}

	// {tO擾
	private static bool GetHonjouFlag( N14PK n14pk, TatemonoData tatemono )
	{
		var shisetsu = n14pk.Shisetsutable[tatemono.PtrShisetsu];

		if ( shisetsu == null )
		{
			throw new ApplicationException( "GetHonjouFlag:{݃f[^擾G[" );
		}

		if ( 0 <= shisetsu.ID && shisetsu.ID <= 6 )
		{
			// {ID 0`6 Ȃ{Ƃ
			return true;
		}
		else if ( 7 <= shisetsu.ID && shisetsu.ID <= 8 )
		{
			// {ID 7,8 ȂxƂ
			return false;
		}
		else
		{
			throw new ApplicationException( "GetHonjouFlag:{tO擾G[" );
		}
	}

	// gpsf[^̃AhXZbg
	private static Dictionary<string, JoukakuData> SetJoukakuAddress( N14PK n14pk )
	{
		var dic = new Dictionary<string, JoukakuData>();
		foreach ( var d in Enum.GetValues( typeof( JoukakuKind ) ) )
		{
			var joukaku = n14pk.Joukakutable[(int)d];
			if ( joukaku == null )
			{
				throw new ApplicationException( "SetJoukakuAddress:sf[^擾G[" );
			}
			dic.Add( d.ToString(), joukaku );
		}
		return dic;
	}

	// gpςݗpnTCY擾
	private static int GetYouchiSizeUsed( N14PK n14pk, ShiroData shiro )
	{
		var ptrlist = new uint[] { shiro.PtrJoukaku1, shiro.PtrJoukaku2, shiro.PtrJoukaku3, shiro.PtrJoukaku4, shiro.PtrJoukaku5, shiro.PtrJoukaku6, shiro.PtrJoukaku7 };
		var youchi = 0;
		foreach ( var ptr in ptrlist )
		{
			var joukaku = n14pk.Joukakutable[ptr];
			if ( joukaku == null )
			{
				return -1;
			}
			youchi += joukaku.Youchi;
		}

		return youchi / 10;
	}
}
