﻿// SeichougataColumnSetting.cs

using System;
using System.Collections.Generic;

using N14PKBrowse.Sort;

namespace N14PKBrowse.Column
{
	/// <summary>特性習得条件ビューの列設定情報</summary>
	public class SeichougataColumnSetting : ColumnSetting
	{
		/// <summary>行ヘッダ列数</summary>
		public override int FrozenColumnCount { get { return 2; } }

		/// <summary>コンストラクタ</summary>
		public SeichougataColumnSetting( N14PKB n14pkb )
			: base( n14pkb )
		{ }

		/// <summary>列設定情報配列をセットする</summary>
		public override void SetItems()
		{
			this._items = new ColumnSettingItem[]
			{
				#region 設定情報
				new ColumnSettingItem { Prop = "ID",			Head = "ID",									Ali = Align.R,	IsAsc = true, IsRO = true,  Mode = CompMode.NUM },
				new ColumnSettingItem { Prop = "Name",			Head = "名称",									Ali = Align.L,	IsAsc = true, IsRO = false, Mode = CompMode.STR },
				new ColumnSettingItem { Prop = "Tokusei001",	Head = this._n14pkb.Tokuseilist.Namelist.Items[000].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei002",	Head = this._n14pkb.Tokuseilist.Namelist.Items[001].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei003",	Head = this._n14pkb.Tokuseilist.Namelist.Items[002].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei004",	Head = this._n14pkb.Tokuseilist.Namelist.Items[003].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei005",	Head = this._n14pkb.Tokuseilist.Namelist.Items[004].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei006",	Head = this._n14pkb.Tokuseilist.Namelist.Items[005].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei007",	Head = this._n14pkb.Tokuseilist.Namelist.Items[006].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei008",	Head = this._n14pkb.Tokuseilist.Namelist.Items[007].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei009",	Head = this._n14pkb.Tokuseilist.Namelist.Items[008].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei010",	Head = this._n14pkb.Tokuseilist.Namelist.Items[009].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei011",	Head = this._n14pkb.Tokuseilist.Namelist.Items[010].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei012",	Head = this._n14pkb.Tokuseilist.Namelist.Items[011].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei013",	Head = this._n14pkb.Tokuseilist.Namelist.Items[012].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei014",	Head = this._n14pkb.Tokuseilist.Namelist.Items[013].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei015",	Head = this._n14pkb.Tokuseilist.Namelist.Items[014].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei016",	Head = this._n14pkb.Tokuseilist.Namelist.Items[015].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei017",	Head = this._n14pkb.Tokuseilist.Namelist.Items[016].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei018",	Head = this._n14pkb.Tokuseilist.Namelist.Items[017].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei019",	Head = this._n14pkb.Tokuseilist.Namelist.Items[018].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei020",	Head = this._n14pkb.Tokuseilist.Namelist.Items[019].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei021",	Head = this._n14pkb.Tokuseilist.Namelist.Items[020].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei022",	Head = this._n14pkb.Tokuseilist.Namelist.Items[021].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei023",	Head = this._n14pkb.Tokuseilist.Namelist.Items[022].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei024",	Head = this._n14pkb.Tokuseilist.Namelist.Items[023].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei025",	Head = this._n14pkb.Tokuseilist.Namelist.Items[024].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei026",	Head = this._n14pkb.Tokuseilist.Namelist.Items[025].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei028",	Head = this._n14pkb.Tokuseilist.Namelist.Items[026].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei112",	Head = this._n14pkb.Tokuseilist.Namelist.Items[027].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei030",	Head = this._n14pkb.Tokuseilist.Namelist.Items[028].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei027",	Head = this._n14pkb.Tokuseilist.Namelist.Items[029].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei029",	Head = this._n14pkb.Tokuseilist.Namelist.Items[030].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei111",	Head = this._n14pkb.Tokuseilist.Namelist.Items[031].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei031",	Head = this._n14pkb.Tokuseilist.Namelist.Items[032].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei032",	Head = this._n14pkb.Tokuseilist.Namelist.Items[033].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei033",	Head = this._n14pkb.Tokuseilist.Namelist.Items[034].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei034",	Head = this._n14pkb.Tokuseilist.Namelist.Items[035].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei035",	Head = this._n14pkb.Tokuseilist.Namelist.Items[036].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei036",	Head = this._n14pkb.Tokuseilist.Namelist.Items[037].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei037",	Head = this._n14pkb.Tokuseilist.Namelist.Items[038].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei047",	Head = this._n14pkb.Tokuseilist.Namelist.Items[039].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei048",	Head = this._n14pkb.Tokuseilist.Namelist.Items[040].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei044",	Head = this._n14pkb.Tokuseilist.Namelist.Items[041].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei045",	Head = this._n14pkb.Tokuseilist.Namelist.Items[042].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei046",	Head = this._n14pkb.Tokuseilist.Namelist.Items[043].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei049",	Head = this._n14pkb.Tokuseilist.Namelist.Items[044].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei050",	Head = this._n14pkb.Tokuseilist.Namelist.Items[045].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei101",	Head = this._n14pkb.Tokuseilist.Namelist.Items[046].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei051",	Head = this._n14pkb.Tokuseilist.Namelist.Items[047].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei052",	Head = this._n14pkb.Tokuseilist.Namelist.Items[048].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei080",	Head = this._n14pkb.Tokuseilist.Namelist.Items[049].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei081",	Head = this._n14pkb.Tokuseilist.Namelist.Items[050].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei053",	Head = this._n14pkb.Tokuseilist.Namelist.Items[051].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei054",	Head = this._n14pkb.Tokuseilist.Namelist.Items[052].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei055",	Head = this._n14pkb.Tokuseilist.Namelist.Items[053].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei056",	Head = this._n14pkb.Tokuseilist.Namelist.Items[054].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei058",	Head = this._n14pkb.Tokuseilist.Namelist.Items[055].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei059",	Head = this._n14pkb.Tokuseilist.Namelist.Items[056].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei060",	Head = this._n14pkb.Tokuseilist.Namelist.Items[057].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei061",	Head = this._n14pkb.Tokuseilist.Namelist.Items[058].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei062",	Head = this._n14pkb.Tokuseilist.Namelist.Items[059].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei065",	Head = this._n14pkb.Tokuseilist.Namelist.Items[060].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei063",	Head = this._n14pkb.Tokuseilist.Namelist.Items[061].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei078",	Head = this._n14pkb.Tokuseilist.Namelist.Items[062].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei106",	Head = this._n14pkb.Tokuseilist.Namelist.Items[063].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei043",	Head = this._n14pkb.Tokuseilist.Namelist.Items[064].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei109",	Head = this._n14pkb.Tokuseilist.Namelist.Items[065].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei066",	Head = this._n14pkb.Tokuseilist.Namelist.Items[066].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei108",	Head = this._n14pkb.Tokuseilist.Namelist.Items[067].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei072",	Head = this._n14pkb.Tokuseilist.Namelist.Items[068].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei073",	Head = this._n14pkb.Tokuseilist.Namelist.Items[069].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei075",	Head = this._n14pkb.Tokuseilist.Namelist.Items[070].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei076",	Head = this._n14pkb.Tokuseilist.Namelist.Items[071].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei038",	Head = this._n14pkb.Tokuseilist.Namelist.Items[072].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei039",	Head = this._n14pkb.Tokuseilist.Namelist.Items[073].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei040",	Head = this._n14pkb.Tokuseilist.Namelist.Items[074].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei041",	Head = this._n14pkb.Tokuseilist.Namelist.Items[075].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei042",	Head = this._n14pkb.Tokuseilist.Namelist.Items[076].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei068",	Head = this._n14pkb.Tokuseilist.Namelist.Items[077].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei069",	Head = this._n14pkb.Tokuseilist.Namelist.Items[078].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei077",	Head = this._n14pkb.Tokuseilist.Namelist.Items[079].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei079",	Head = this._n14pkb.Tokuseilist.Namelist.Items[080].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei083",	Head = this._n14pkb.Tokuseilist.Namelist.Items[081].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei086",	Head = this._n14pkb.Tokuseilist.Namelist.Items[082].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei064",	Head = this._n14pkb.Tokuseilist.Namelist.Items[083].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei067",	Head = this._n14pkb.Tokuseilist.Namelist.Items[084].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei070",	Head = this._n14pkb.Tokuseilist.Namelist.Items[085].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei071",	Head = this._n14pkb.Tokuseilist.Namelist.Items[086].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei084",	Head = this._n14pkb.Tokuseilist.Namelist.Items[087].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei110",	Head = this._n14pkb.Tokuseilist.Namelist.Items[088].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei082",	Head = this._n14pkb.Tokuseilist.Namelist.Items[089].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei107",	Head = this._n14pkb.Tokuseilist.Namelist.Items[090].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei087",	Head = this._n14pkb.Tokuseilist.Namelist.Items[091].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei088",	Head = this._n14pkb.Tokuseilist.Namelist.Items[092].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei089",	Head = this._n14pkb.Tokuseilist.Namelist.Items[093].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei057",	Head = this._n14pkb.Tokuseilist.Namelist.Items[094].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei074",	Head = this._n14pkb.Tokuseilist.Namelist.Items[095].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei085",	Head = this._n14pkb.Tokuseilist.Namelist.Items[096].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei090",	Head = this._n14pkb.Tokuseilist.Namelist.Items[097].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist },
				new ColumnSettingItem { Prop = "Tokusei095",	Head = this._n14pkb.Tokuseilist.Namelist.Items[098].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei094",	Head = this._n14pkb.Tokuseilist.Namelist.Items[099].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei093",	Head = this._n14pkb.Tokuseilist.Namelist.Items[100].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei130",	Head = this._n14pkb.Tokuseilist.Namelist.Items[101].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei129",	Head = this._n14pkb.Tokuseilist.Namelist.Items[102].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei128",	Head = this._n14pkb.Tokuseilist.Namelist.Items[103].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei127",	Head = this._n14pkb.Tokuseilist.Namelist.Items[104].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei126",	Head = this._n14pkb.Tokuseilist.Namelist.Items[105].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei125",	Head = this._n14pkb.Tokuseilist.Namelist.Items[106].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei092",	Head = this._n14pkb.Tokuseilist.Namelist.Items[107].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei124",	Head = this._n14pkb.Tokuseilist.Namelist.Items[108].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei123",	Head = this._n14pkb.Tokuseilist.Namelist.Items[109].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei122",	Head = this._n14pkb.Tokuseilist.Namelist.Items[110].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei121",	Head = this._n14pkb.Tokuseilist.Namelist.Items[111].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei120",	Head = this._n14pkb.Tokuseilist.Namelist.Items[112].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei119",	Head = this._n14pkb.Tokuseilist.Namelist.Items[113].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei118",	Head = this._n14pkb.Tokuseilist.Namelist.Items[114].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei117",	Head = this._n14pkb.Tokuseilist.Namelist.Items[115].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei116",	Head = this._n14pkb.Tokuseilist.Namelist.Items[116].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei115",	Head = this._n14pkb.Tokuseilist.Namelist.Items[117].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei114",	Head = this._n14pkb.Tokuseilist.Namelist.Items[118].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei113",	Head = this._n14pkb.Tokuseilist.Namelist.Items[119].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei091",	Head = this._n14pkb.Tokuseilist.Namelist.Items[120].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei098",	Head = this._n14pkb.Tokuseilist.Namelist.Items[121].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei097",	Head = this._n14pkb.Tokuseilist.Namelist.Items[122].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei096",	Head = this._n14pkb.Tokuseilist.Namelist.Items[123].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei247",	Head = this._n14pkb.Tokuseilist.Namelist.Items[124].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei246",	Head = this._n14pkb.Tokuseilist.Namelist.Items[125].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei245",	Head = this._n14pkb.Tokuseilist.Namelist.Items[126].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei244",	Head = this._n14pkb.Tokuseilist.Namelist.Items[127].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei243",	Head = this._n14pkb.Tokuseilist.Namelist.Items[128].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei242",	Head = this._n14pkb.Tokuseilist.Namelist.Items[129].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei241",	Head = this._n14pkb.Tokuseilist.Namelist.Items[130].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei240",	Head = this._n14pkb.Tokuseilist.Namelist.Items[131].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei239",	Head = this._n14pkb.Tokuseilist.Namelist.Items[132].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei238",	Head = this._n14pkb.Tokuseilist.Namelist.Items[133].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei237",	Head = this._n14pkb.Tokuseilist.Namelist.Items[134].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei236",	Head = this._n14pkb.Tokuseilist.Namelist.Items[135].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei235",	Head = this._n14pkb.Tokuseilist.Namelist.Items[136].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei234",	Head = this._n14pkb.Tokuseilist.Namelist.Items[137].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei233",	Head = this._n14pkb.Tokuseilist.Namelist.Items[138].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei232",	Head = this._n14pkb.Tokuseilist.Namelist.Items[139].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei231",	Head = this._n14pkb.Tokuseilist.Namelist.Items[140].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei230",	Head = this._n14pkb.Tokuseilist.Namelist.Items[141].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei229",	Head = this._n14pkb.Tokuseilist.Namelist.Items[142].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei228",	Head = this._n14pkb.Tokuseilist.Namelist.Items[143].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei227",	Head = this._n14pkb.Tokuseilist.Namelist.Items[144].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei226",	Head = this._n14pkb.Tokuseilist.Namelist.Items[145].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei225",	Head = this._n14pkb.Tokuseilist.Namelist.Items[146].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei224",	Head = this._n14pkb.Tokuseilist.Namelist.Items[147].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei223",	Head = this._n14pkb.Tokuseilist.Namelist.Items[148].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei222",	Head = this._n14pkb.Tokuseilist.Namelist.Items[149].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei221",	Head = this._n14pkb.Tokuseilist.Namelist.Items[150].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei220",	Head = this._n14pkb.Tokuseilist.Namelist.Items[151].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei219",	Head = this._n14pkb.Tokuseilist.Namelist.Items[152].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei218",	Head = this._n14pkb.Tokuseilist.Namelist.Items[153].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei217",	Head = this._n14pkb.Tokuseilist.Namelist.Items[154].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei216",	Head = this._n14pkb.Tokuseilist.Namelist.Items[155].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei215",	Head = this._n14pkb.Tokuseilist.Namelist.Items[156].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei214",	Head = this._n14pkb.Tokuseilist.Namelist.Items[157].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei213",	Head = this._n14pkb.Tokuseilist.Namelist.Items[158].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei212",	Head = this._n14pkb.Tokuseilist.Namelist.Items[159].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei211",	Head = this._n14pkb.Tokuseilist.Namelist.Items[160].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei210",	Head = this._n14pkb.Tokuseilist.Namelist.Items[161].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei209",	Head = this._n14pkb.Tokuseilist.Namelist.Items[162].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei208",	Head = this._n14pkb.Tokuseilist.Namelist.Items[163].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei207",	Head = this._n14pkb.Tokuseilist.Namelist.Items[164].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei206",	Head = this._n14pkb.Tokuseilist.Namelist.Items[165].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei205",	Head = this._n14pkb.Tokuseilist.Namelist.Items[166].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei204",	Head = this._n14pkb.Tokuseilist.Namelist.Items[167].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei203",	Head = this._n14pkb.Tokuseilist.Namelist.Items[168].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei202",	Head = this._n14pkb.Tokuseilist.Namelist.Items[169].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei201",	Head = this._n14pkb.Tokuseilist.Namelist.Items[170].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei200",	Head = this._n14pkb.Tokuseilist.Namelist.Items[171].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei199",	Head = this._n14pkb.Tokuseilist.Namelist.Items[172].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei198",	Head = this._n14pkb.Tokuseilist.Namelist.Items[173].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei197",	Head = this._n14pkb.Tokuseilist.Namelist.Items[174].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei196",	Head = this._n14pkb.Tokuseilist.Namelist.Items[175].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei195",	Head = this._n14pkb.Tokuseilist.Namelist.Items[176].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei194",	Head = this._n14pkb.Tokuseilist.Namelist.Items[177].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei193",	Head = this._n14pkb.Tokuseilist.Namelist.Items[178].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei192",	Head = this._n14pkb.Tokuseilist.Namelist.Items[179].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei191",	Head = this._n14pkb.Tokuseilist.Namelist.Items[180].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei190",	Head = this._n14pkb.Tokuseilist.Namelist.Items[181].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei189",	Head = this._n14pkb.Tokuseilist.Namelist.Items[182].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei188",	Head = this._n14pkb.Tokuseilist.Namelist.Items[183].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei187",	Head = this._n14pkb.Tokuseilist.Namelist.Items[184].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei186",	Head = this._n14pkb.Tokuseilist.Namelist.Items[185].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei185",	Head = this._n14pkb.Tokuseilist.Namelist.Items[186].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei184",	Head = this._n14pkb.Tokuseilist.Namelist.Items[187].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei183",	Head = this._n14pkb.Tokuseilist.Namelist.Items[188].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei182",	Head = this._n14pkb.Tokuseilist.Namelist.Items[189].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei181",	Head = this._n14pkb.Tokuseilist.Namelist.Items[190].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei180",	Head = this._n14pkb.Tokuseilist.Namelist.Items[191].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei179",	Head = this._n14pkb.Tokuseilist.Namelist.Items[192].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei178",	Head = this._n14pkb.Tokuseilist.Namelist.Items[193].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei177",	Head = this._n14pkb.Tokuseilist.Namelist.Items[194].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei176",	Head = this._n14pkb.Tokuseilist.Namelist.Items[195].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei175",	Head = this._n14pkb.Tokuseilist.Namelist.Items[196].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei174",	Head = this._n14pkb.Tokuseilist.Namelist.Items[197].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei173",	Head = this._n14pkb.Tokuseilist.Namelist.Items[198].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei172",	Head = this._n14pkb.Tokuseilist.Namelist.Items[199].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei171",	Head = this._n14pkb.Tokuseilist.Namelist.Items[200].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei170",	Head = this._n14pkb.Tokuseilist.Namelist.Items[201].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei169",	Head = this._n14pkb.Tokuseilist.Namelist.Items[202].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei168",	Head = this._n14pkb.Tokuseilist.Namelist.Items[203].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei167",	Head = this._n14pkb.Tokuseilist.Namelist.Items[204].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei166",	Head = this._n14pkb.Tokuseilist.Namelist.Items[205].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei165",	Head = this._n14pkb.Tokuseilist.Namelist.Items[206].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei164",	Head = this._n14pkb.Tokuseilist.Namelist.Items[207].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei163",	Head = this._n14pkb.Tokuseilist.Namelist.Items[208].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei162",	Head = this._n14pkb.Tokuseilist.Namelist.Items[209].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei161",	Head = this._n14pkb.Tokuseilist.Namelist.Items[210].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei160",	Head = this._n14pkb.Tokuseilist.Namelist.Items[211].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei159",	Head = this._n14pkb.Tokuseilist.Namelist.Items[212].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei158",	Head = this._n14pkb.Tokuseilist.Namelist.Items[213].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei157",	Head = this._n14pkb.Tokuseilist.Namelist.Items[214].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei156",	Head = this._n14pkb.Tokuseilist.Namelist.Items[215].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei155",	Head = this._n14pkb.Tokuseilist.Namelist.Items[216].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei154",	Head = this._n14pkb.Tokuseilist.Namelist.Items[217].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei153",	Head = this._n14pkb.Tokuseilist.Namelist.Items[218].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei152",	Head = this._n14pkb.Tokuseilist.Namelist.Items[219].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei151",	Head = this._n14pkb.Tokuseilist.Namelist.Items[220].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei150",	Head = this._n14pkb.Tokuseilist.Namelist.Items[221].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei149",	Head = this._n14pkb.Tokuseilist.Namelist.Items[222].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei148",	Head = this._n14pkb.Tokuseilist.Namelist.Items[223].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei147",	Head = this._n14pkb.Tokuseilist.Namelist.Items[224].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei146",	Head = this._n14pkb.Tokuseilist.Namelist.Items[225].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei145",	Head = this._n14pkb.Tokuseilist.Namelist.Items[226].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei144",	Head = this._n14pkb.Tokuseilist.Namelist.Items[227].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei143",	Head = this._n14pkb.Tokuseilist.Namelist.Items[228].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei142",	Head = this._n14pkb.Tokuseilist.Namelist.Items[229].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei141",	Head = this._n14pkb.Tokuseilist.Namelist.Items[230].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei140",	Head = this._n14pkb.Tokuseilist.Namelist.Items[231].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei139",	Head = this._n14pkb.Tokuseilist.Namelist.Items[232].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei138",	Head = this._n14pkb.Tokuseilist.Namelist.Items[233].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei137",	Head = this._n14pkb.Tokuseilist.Namelist.Items[234].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei136",	Head = this._n14pkb.Tokuseilist.Namelist.Items[235].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei135",	Head = this._n14pkb.Tokuseilist.Namelist.Items[236].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei134",	Head = this._n14pkb.Tokuseilist.Namelist.Items[237].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei133",	Head = this._n14pkb.Tokuseilist.Namelist.Items[238].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei132",	Head = this._n14pkb.Tokuseilist.Namelist.Items[239].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei131",	Head = this._n14pkb.Tokuseilist.Namelist.Items[240].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei099",	Head = this._n14pkb.Tokuseilist.Namelist.Items[241].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei100",	Head = this._n14pkb.Tokuseilist.Namelist.Items[242].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei102",	Head = this._n14pkb.Tokuseilist.Namelist.Items[243].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei103",	Head = this._n14pkb.Tokuseilist.Namelist.Items[244].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei104",	Head = this._n14pkb.Tokuseilist.Namelist.Items[245].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "Tokusei105",	Head = this._n14pkb.Tokuseilist.Namelist.Items[246].Value,	Ali = Align.R,	IsAsc = true, IsRO = false, Mode = CompMode.STR, Col = ColKind.COMBO, Source = this._n14pkb.TokuseiSyuutokuJoukenlist.Namelist, IsHid = true },
				new ColumnSettingItem { Prop = "SortID",		Head = "ソートID",								Ali = Align.R,	IsAsc = true, IsRO = true,  Mode = CompMode.NUM },
				new ColumnSettingItem { Prop = "AddressHex",	Head = "アドレス",								Ali = Align.R,	IsAsc = true, IsRO = true,  Mode = CompMode.HEX }
				#endregion
			};
		}
	}
}
