﻿// Enums.cs

namespace N14PKBrowse.Enums
{
	/// <summary>ラジオボタン 勢力</summary>
	public enum RadioSeiryoku
	{
		選,
		他,
		無,
		全
	}

	/// <summary>ラジオボタン 身分</summary>
	public enum RadioMibun
	{
		通常,
		捕虜,
		浪人,
		成人前,
		生前,
		姫,
		他,
		全
	}

	/// <summary>タブの種類</summary>
	public enum TabKind
	{
		武将,			// TabIndex:00 DataID:01 武将
		城,				// 01 04 城
		区画,			// 02 04 区画(城)
		勢力,			// 03 02 勢力
		軍団,			// 04 03 軍団
		部隊,			// 05 06 部隊
		建物,			// 06 00 建物
		家宝,			// 07 11 家宝
		国人衆,			// 08 27 国人衆
		要所,			// 09 08 要所
		街道,			// 10 15 街道
		施設,			// 11 10 施設
		政策,			// 12 26 政策
		戦法,			// 13 23 戦法
		特性,			// 14 18 特性
		習得条件,		// 15 19 特性習得条件
		成長型,			// 16 20 成長型
		地方,			// 17 14 地方
		国,				// 18 12 国
		効果,			// 19 24 効果
		方針,			// 20 07 方針
		軍略,			// 21 25 軍略
		城郭,			// 22 33 城郭
		城名,			// 23 05 城名
		Param			// 24 XX パラメータ
	}

	/// <summary>忠誠補正の種類</summary>
	public enum ChuuseihoseiKind
	{
		士道,
		官位,
		仇敵,
		一門,
		仕官年数,
		覇気,				// 当主の覇気の有無
		勢力規模,
		日和見,
		不満,
		捕虜,
		軍団長,
		包囲,
		家宝,
		一門化,
		隠居,
		器,					// 当主の器
		対軍団長,
		城主,
		信頼,
		機嫌,
		能力主義,			// 政策:能力主義
		指出検地,			// 政策:指出検地
		所領安堵,			// 政策:所領安堵
		主義,
		寺社・合議・南蛮,	// 政策:寺社保護/合議制/南蛮保護
		豫譲				// 豫譲の故事『士は己を知る者のために死す』
	}

	/// <summary>身分の種類</summary>
	public enum MibunKind
	{
		なし = -1,
		生前,		// 0
		成人前,		// 1
		未発見,		// 2 創造では未使用？
		浪人,		// 3
		捕虜,		// 4
		人質,		// 5 創造では未使用？
		姫,			// 6
		通常,		// 7 大名/家臣/一門/隠居
		他,			// 8 死亡/非登場
	}

	/// <summary>身分詳細の種類</summary>
	public enum MibunSyousaiKind
	{
		なし = -1,
		他,			// 0
		国人衆,		// 1
		謹慎中,		// 2
		生前,		// 3
		成人前,		// 4
		浪人,		// 5
		捕虜,		// 6
		捕虜姫,		// 7
		姫,			// 8
		家臣,		// 9
		家臣姫,		// 10
		軍団長直轄外,	// 11
		軍団長直轄外姫,	// 12
		軍団長,			// 13
		軍団長姫,		// 14
		当主,			// 15
	}

	/// <summary>データアドレスの種類</summary>
	public enum DataAddressKind
	{
		なし,		// 00
		築城 = 2,	// 02 築城中
		城,			// 03
		部隊,		// 04
		任務,		// 05 任務中
		国人 = 15,	// 15 国人衆
		要所 = 17	// 17
	}

	/// <summary>武将データ 軍団・城変更時のトリガータイプ</summary>
	public enum BusyouIdouKind
	{
		軍団,
		城
	}

	/// <summary>城主／奉行</summary>
	public enum JousyuOrBugyouKind
	{
		城主,
		奉行
	}
}
