using System;

using N14PKLibrary;
using N14PKLibrary.Data;
using N14PKLibrary.HelperClass;

class N14PKBrowseExtension
{
	// 
	class KukakuInfo
	{
		public bool IsRinsetsuMin	{ get; set; }	// ^Cv(_//)ŗאڋ搔ŏ
		public int CntRinsetsu		{ get; set; }	// אڋ搔
		public int CntRinsetsuNou	{ get; set; }	// אڔ_Ƌ搔
		public int CntRinsetsuSyou	{ get; set; }	// אڏƋ搔
		public int CntRinsetsuHei	{ get; set; }	// אڕɋ搔
		public int CntRinsetsuAki					// אڋ(g)
		{ get { return this.CntRinsetsu - ( this.CntRinsetsuNou + this.CntRinsetsuSyou + this.CntRinsetsuHei ); } }
	}

	public static void Function( N14PK n14pk, int id, ShiroData shiro )
	{
		var hasKariba = false;		// ݃tO
		var hasHachimangu = false;	// {݃tO
		
		var cntRinsetsuNouMin = 10;
		var cntRinsetsuSyouMin = 10;
		var cntRinsetsuHeiMin = 10;

		// {tO擾
		var isHonjou = GetHonjouFlag( n14pk, shiro );

		// ̌Xg擾
		var tatemonoList = ( shiro.CntTatemonoList != 0 ) ? PointerlistType2.Create( n14pk, shiro.PtrTatemonoList, DataKind. ) : null;

		// z擾
		var kukakuInfos = new KukakuInfo[10];
		for ( var i = 0; i < shiro.Kukaku.Length; i++ )
		{
			// Sɑ΂ď
			if ( !shiro.Kukaku[i].h148_b30 )	// ȋ͂̃tOĂȂH
				// ̓X[
				continue;

			// 
			kukakuInfos[i] = new KukakuInfo();

			// אڋ搔擾
			for ( var j = 0; j < shiro.Kukaku[i].IsRinsetsu.Length; j++ )
			{
				if ( shiro.Kukaku[i].IsRinsetsu[j] )
				{
					kukakuInfos[i].CntRinsetsu++;

					if ( shiro.Kukaku[j].KokudakaMax != 0 )
						// _Ƌ
						kukakuInfos[i].CntRinsetsuNou++;

					else if ( shiro.Kukaku[j].SyougyouMax != 0 )
						// Ƌ
						kukakuInfos[i].CntRinsetsuSyou++;

					else if ( shiro.Kukaku[j].HeisyaMax != 0 )
						// ɋ
						kukakuInfos[i].CntRinsetsuHei++;
				}
			}

			if ( shiro.Kukaku[i].KokudakaMax != 0 )
			{
				// _Ƌ
				if ( kukakuInfos[i].CntRinsetsu < cntRinsetsuNouMin )
					cntRinsetsuNouMin = kukakuInfos[i].CntRinsetsu;
			}
			else if ( shiro.Kukaku[i].SyougyouMax != 0 )
			{
				// Ƌ
				if ( kukakuInfos[i].CntRinsetsu < cntRinsetsuSyouMin )
					cntRinsetsuSyouMin = kukakuInfos[i].CntRinsetsu;
			}
			else if ( shiro.Kukaku[i].HeisyaMax != 0 )
			{
				// ɋ
				if ( kukakuInfos[i].CntRinsetsu < cntRinsetsuHeiMin )
					cntRinsetsuHeiMin = kukakuInfos[i].CntRinsetsu;
			}
		}

		for ( var i = 0; i < kukakuInfos.Length; i++ )
		{
			if ( kukakuInfos[i] == null )
				continue;

			if ( shiro.Kukaku[i].KokudakaMax != 0 )
			{
				// _Ƌ
				if ( kukakuInfos[i].CntRinsetsu == cntRinsetsuNouMin )
					kukakuInfos[i].IsRinsetsuMin = true;
			}
			else if ( shiro.Kukaku[i].SyougyouMax != 0 )
			{
				// Ƌ
				if ( kukakuInfos[i].CntRinsetsu == cntRinsetsuSyouMin )
					kukakuInfos[i].IsRinsetsuMin = true;
			}
			else if ( shiro.Kukaku[i].HeisyaMax != 0 )
			{
				// ɋ
				if ( kukakuInfos[i].CntRinsetsu == cntRinsetsuHeiMin )
					kukakuInfos[i].IsRinsetsuMin = true;
			}
		}

		// ݒ
		foreach ( var k in shiro.Kukaku )
		{
			// Sɑ΂ď
			if ( !k.IsKakuchouzumi )
				// g̓X[
				continue;

			// {݃NA
			k.ShisetsuID = -1;

			var canKensetsu = false;	// ݉\tO

			// {ݐݒ
			if ( k.KokudakaMax != 0 )
			{
				// _Ƌ
				if ( ( k.ShigenID == 67 )	// Y
					&& ( ( isHonjou && ( shiro.Jinkou < 70000 ) ) || ( !isHonjou && ( shiro.Jinkou < 50000 ) ) )
					)
				{
					k.ShisetsuID = 16;	// Ys
				}
				else if ( ( kukakuInfos[k.KukakuID].CntRinsetsu == 1 ) && ( k.ShigenID == 66 ) )	// 
					k.ShisetsuID = 11;	// r

				else if ( ( kukakuInfos[k.KukakuID].CntRinsetsu == 1 ) && ( k.ShigenID == 71 ) )	// ؍
					k.ShisetsuID = 46;	// ޏ

				else if ( !hasKariba && kukakuInfos[k.KukakuID].IsRinsetsuMin && ( 6 <= shiro.KukakuMax ) )
				{
					k.ShisetsuID = 20;	// 
					hasKariba = true;
				}
				else if ( kukakuInfos[k.KukakuID].CntRinsetsuSyou <= ( kukakuInfos[k.KukakuID].CntRinsetsuAki + kukakuInfos[k.KukakuID].CntRinsetsuHei ) )
					k.ShisetsuID = 14;	// n
					
				else
					k.ShisetsuID = 12;	// ʎ
			}
			else if ( k.SyougyouMax != 0 )
			{
				// Ƌ
				if ( ( k.ShigenID == 66 )		// 
					&& ( ( isHonjou && ( shiro.Jinkou < 70000 ) ) || ( !isHonjou && ( shiro.Jinkou < 50000 ) ) )
					)
				{
					k.ShisetsuID = 30;			// ĉ
				}
				else if ( k.ShigenID == 74 )	// z
				{
					if ( tatemonoList != null )
					{
						for ( var i = 0; i < tatemonoList.Count; i++ )
						{
							var ptrShisetsu = n14pk.Tatemonotable[tatemonoList.Items[i].PtrTargetData].PtrShisetsu;
							var shisetsuID = n14pk.Shisetsutable[ptrShisetsu].ID;
							if ( ( shisetsuID == 56 ) || ( shisetsuID == 57 ) )	// RER
							{
								k.ShisetsuID = 50;			// ̌@
								break;
							}
						}
					}
				}
				else if ( k.ShigenID == 69 )	// S
					k.ShisetsuID = 28;			// SCb

				else if ( k.ShigenID == 67 )	// Y
				{
					if ( 1 <= ( kukakuInfos[k.KukakuID].CntRinsetsuAki + kukakuInfos[k.KukakuID].CntRinsetsuHei ) )
						k.ShisetsuID = 25;		// Տ

					else
						k.ShisetsuID = 23;		// Z֎s
				}
				else if ( k.ShigenID == 73 )	// 
				{
					if ( 2 <= ( kukakuInfos[k.KukakuID].CntRinsetsuAki + kukakuInfos[k.KukakuID].CntRinsetsuHei ) )
					{
						//k.ShisetsuID = 21;		// s
						//canKensetsu = true;		// ɋւ̕ύX
					}
					else if ( ( isHonjou && ( shiro.Jinkou < 70000 ) ) || ( !isHonjou && ( shiro.Jinkou < 50000 ) ) )
						k.ShisetsuID = 48;		// h
				}

				if ( k.ShisetsuID == -1 )
					k.ShisetsuID = 24;			// ֑K
			}
			else if ( k.HeisyaMax != 0 )
			{
				// ɋ

				if ( k.ShigenID == 68 )			// n
					k.ShisetsuID = 39;			// q

				else if ( ( kukakuInfos[k.KukakuID].CntRinsetsuAki + kukakuInfos[k.KukakuID].CntRinsetsuHei ) <= 2 && k.ShigenID == 69 )	// S
					k.ShisetsuID = 35;			// 

				else if ( k.ShigenID == 70 )	// 
					k.ShisetsuID = 45;			// 

				else if ( ( k.ShigenID == 73 )	// 
						&& ( 2 <= ( kukakuInfos[k.KukakuID].CntRinsetsuAki + kukakuInfos[k.KukakuID].CntRinsetsuHei ) )
						)
					k.ShisetsuID = 49;		// 뉀

				else if ( 3 <= ( kukakuInfos[k.KukakuID].CntRinsetsuAki + kukakuInfos[k.KukakuID].CntRinsetsuHei ) )
					k.ShisetsuID = 40;		// 뉀

				else if ( !hasHachimangu && kukakuInfos[k.KukakuID].IsRinsetsuMin && ( 6 <= shiro.KukakuMax ) )
				{
					k.ShisetsuID = 42;		// {
					hasHachimangu = true;
				}
				else
					k.ShisetsuID = 44;		// 吹

			}
			
			if ( k.KensetsuchuuShisetsuID != -1 )
				k.KensetsuchuuShisetsuID = k.ShisetsuID;

			k.h01C = 2;

			if ( canKensetsu )
				k.h138_2 = 100;
			else
				k.h138_2 = 0;
		}
		CheckRankHosei( n14pk, shiro );

		n14pk.Shirotable.Write( shiro );
	}

	// {tO擾
	private static bool GetHonjouFlag( N14PK n14pk, ShiroData shiro )
	{
		var flag = false;

		var tatemono = n14pk.Tatemonotable[shiro.PtrTatemono];
		//if ( tatemono == null )
		//	return false;

		var shisetsuID = n14pk.Shisetsutable[tatemono.PtrShisetsu].ID;
		//if ( shisetsu == null )
		//	return false;

		if ( 0 <= shisetsuID && shisetsuID <= 6 )
			flag = true;

		else if ( 7 <= shisetsuID && shisetsuID <= 8 )
			flag = false;

		return flag;
	}

	// ␳`FbN
	private static void CheckRankHosei( N14PK n14pk, ShiroData shiro )
	{
		
		for ( int i = 0; i < shiro.Kukaku.Length; i++ )
		{
			// 搔JԂ
			byte kokudakaHosei = 0;
			byte syougyouHosei = 0;
			byte heisyaHosei = 0;
			var shisetsu = ( shiro.Kukaku[i].ShisetsuID != -1 ) ? n14pk.Shisetsutable[shiro.Kukaku[i].ShisetsuID] : null;

			if ( shisetsu != null )
			{
				kokudakaHosei = shisetsu.UpRankNougyou;		// {݂̐΍␳
				syougyouHosei = shisetsu.UpRankSyougyou;	// {݂̏ƕ␳
				heisyaHosei = shisetsu.UpRankHeisya;		// {݂̕ɕ␳
			}

			// אڋ`FbN
			for ( int j = 0; j < shiro.Kukaku[i].IsRinsetsu.Length; j++ )
			{
				if ( shiro.Kukaku[i].IsRinsetsu[j] )
				{
					// אڋ̎{݂擾
					shisetsu = ( shiro.Kukaku[j].ShisetsuID != -1 ) ? n14pk.Shisetsutable[shiro.Kukaku[j].ShisetsuID] : null;
					if ( shisetsu != null)
					{
						kokudakaHosei += shisetsu.UpRankNougyouRinsetsu;	// אڋ悩󂯂΍␳
						syougyouHosei += shisetsu.UpRankSyougyouRinsetsu;	// אڋ悩󂯂鏤ƕ␳
						heisyaHosei += shisetsu.UpRankHeisyaRinsetsu;		// אڋ悩󂯂镺ɕ␳
					}
				}
			}
			shiro.Kukaku[i].KokudakaRankHosei = kokudakaHosei;
			shiro.Kukaku[i].SyougyouRankHosei = syougyouHosei;
			shiro.Kukaku[i].HeisyaRankHosei = heisyaHosei;

			// ΍EƁEɂ̍ől`FbN
			CheckMax( shiro, shiro.Kukaku[i] );
		}
	}

	// ΍EƁEɍől`FbN
	private static void CheckMax( ShiroData shiro, KukakuData k )
	{
		// N␳v
		var hoseigoukei = 0;

		// ől
		var max = 0;

		// Ŝ̍őlƂ̍
		var diff = 0;

		if ( k.KokudakaMax != 0 )
		{
			// _Ƌ
			hoseigoukei = k.KokudakaRankBase + k.KokudakaRankHosei;
			max = k.KukakuBase * 3 * ( ( hoseigoukei <= 18 ) ? hoseigoukei + 1 : 18 + 1 );
			diff = max - k.KokudakaMax;
			
			// ̍őlZbg
			k.KokudakaMax = (short)max;

			// Ŝ̍őlC
			shiro.KokudakaMax += (short)diff;
			if ( shiro.KokudakaMax < shiro.KokudakaNow )
				shiro.KokudakaNow = shiro.KokudakaMax;
		}
		else if ( k.SyougyouMax != 0  )
		{
			// Ƌ
			hoseigoukei = k.SyougyouRankBase + k.SyougyouRankHosei;
			max = k.KukakuBase * 3 * ( ( hoseigoukei <= 18 ) ? hoseigoukei + 1 : 18 + 1 );
			diff = max - k.SyougyouMax;
			k.SyougyouMax = (short)max;
			shiro.SyougyouMax += (short)diff;
			if ( shiro.SyougyouMax < shiro.SyougyouNow )
				shiro.SyougyouNow = shiro.SyougyouMax;
		}
		else if ( k.HeisyaMax != 0  )
		{
			// ɋ
			hoseigoukei = k.HeisyaRankBase + k.HeisyaRankHosei;
			max = k.KukakuBase * 3 * ( ( hoseigoukei <= 18 ) ? hoseigoukei + 1 : 18 + 1 );
			diff = max - k.HeisyaMax;
			k.HeisyaMax = (short)max;
			shiro.HeisyaMax += (short)diff;
			if ( shiro.HeisyaMax < shiro.HeisyaNow )
				shiro.HeisyaNow = shiro.HeisyaMax;
		}
	}
}
